/*
 * CaptureException.java
 *
 * Created on 6 May 2008, 11:45
 *
 */

package net.sourceforge.jpcap.capture;

/**
 * JpcapException is the base class for all Jpcap exceptions.
 *
 * @author Esmond Pitt
 * @version $Revision: 1.1 $
 */
public class JpcapException extends Exception
{
	
	/**
	 * Creates a new instance of <code>JpcapException</code> without detail message.
	 */
	public JpcapException()
	{
	}
	
	/**
	 * Constructs an instance of <code>JpcapException</code> with the specified detail message.
	 * @param msg the detail message.
	 */
	public JpcapException(String msg)
	{
		super(msg);
	}
	
	/**
	 * Constructs an instance of <code>JpcapException</code> with the specified detail message.
	 * @param detail the detail exception.
	 */
	public JpcapException(Throwable detail)
	{
		super(detail);
	}

	private static final String _rcsId = 
    "$Id: JpcapException.java,v 1.1 2008/08/18 05:34:36 esmondpitt Exp $";
}
